#include <Wire.h>

int LED = 12;  // Pin for the LED
int x = 0;     // Variable to store received data

 void setup() {
// Define the LED pin as Output
pinMode(LED, OUTPUT);

// Start the I2C Bus as Slave with address 9
Wire.begin(9); 

// Attach the receive function to handle I2C communication
Wire.onReceive(receiveEvent);

// Start serial communication for debugging
Serial.begin(9600);
}

void receiveEvent(int bytes) {
x = Wire.read();  // Read the byte sent from the master
}

void loop() {
// Print the received value to Serial Monitor for debugging
Serial.print("Received value: ");
Serial.println(x);

// If the value received is '1', blink the LED every 1 second
if (x == '1') {
digitalWrite(LED, HIGH);   // Turn the LED on
delay(1000);                // Wait for 1 second
digitalWrite(LED, LOW);    // Turn the LED off
delay(1000);                // Wait for 1 second
}

// Optional: Small delay to avoid overloading the Serial Monitor
delay(100);
}